#language: ru

@ProductsOfOrganizations

Функционал: 000. ProductsOfOrganizations. Установка функциональных опций

Сценарий: 000.1. ProductsOfOrganizations. Установка времени начала блока тестов

	Дано Я подключаюсь под "Администратор"
	Дано Я устанавливаю заголовок "15.ProductsOfOrganizations"
	Дано я устанавливаю текущему сеансу заголовок приложения "15.000. Товары организаций"
	И Я устанавливаю время начала блока тестов

Сценарий: 000.2. ProductsOfOrganizations. Установка функциональных опций

	И Я читаю лицензию "Заказы.xml"
	И флаг "Анализ продаж доступен" равен "Нет"
	И флаг "Анализ сервисов предприятия" равен "Нет"
	И флаг "Маркировка" равен "Да"
	И флаг "Мобильное приложение" равен "Нет"
	И флаг "Обработка заказов клиента" равен "Да"
	И флаг "Планирование переработки" равен "Нет"
	И флаг "Планирование продаж" равен "Нет"
	И флаг "Планирование разруба" равен "Нет"
	И флаг "Прогнозирование отгрузок" равен "Нет"
	И флаг "Приемка сырья" равен "Нет"
	И флаг "Приемка сырья (молочное)" равен "Нет"
	И флаг "Производство" равен "Нет"
	И флаг "Производство (молочное)" равен "Нет"
	И флаг "Производство (мясное)" равен "Нет"
	И флаг "Складская логистика" равен "Да"
	И флаг "Транспортная логистика" равен "Да"
	И флаг "Трейд-маркетинг" равен "Нет"
	И флаг "Управление продажами" равен "Нет"
	И флаг "Ценообразование" равен "Да"
	И флаг "Интеграция с ГИС Меркурий" равен "Нет"
	И флаг "Управление процессами" равен "Нет"
	И Я закрываю окно 'Лицензирование'

Сценарий: 000.3. ProductsOfOrganizations. Создание пользователей

	Когда Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	* Ведение организаций
		И Я создаю группу доступа "Ведение организаций" с профилем "Ведение организаций"
		И Я создаю пользователя "Ведение организаций" с профилями "Базовый профиль;Ведение организаций"
	* Ведение номенклатуры
		И Я создаю группу доступа "Ведение номенклатуры" с профилем "Ведение номенклатуры"
		И Я создаю пользователя "Ведение номенклатуры" с профилями "Базовый профиль;Ведение номенклатуры"
	* Ценообразование
		И Я создаю группу доступа "Ценообразование" с профилем "Ценообразование"
		И Я создаю пользователя "Ценообразование" с профилями "Базовый профиль;Ценообразование"
	* Формирование накладных
		И Я создаю группу доступа "Формирование накладных" с профилем "Формирование накладных"
		И Я создаю пользователя "Формирование накладных" с профилями "Базовый профиль;Формирование накладных"
	* Передача товаров между организациями
		И Я создаю группу доступа "Передача товаров между организациями" с профилем "Передача товаров между организациями"
		И Я создаю пользователя "Передача товаров между организациями" с профилями "Базовый профиль;Передача товаров между организациями"
	* Перезаполнение передачи товаров
		И Я создаю пользователя "Перезаполнение передачи товаров" с профилями "Базовый профиль;Передача товаров между организациями;Формирование накладных"